Jump to content
과거의 기술자료(읽기 전용): https://tech.devgear.co.kr ×
과거의 기술자료(읽기 전용): https://tech.devgear.co.kr
  • 0

델파이 12.1 버전 안드로이드 관련 문의


AntKim

질문

델파이 12.1 버전으로 안드로이드 개발 공부를 해보려고 하고 있습니다. 

그래서 이런 저런 정보들을 찾고 하다보니까, 구글플레이 스토어에 올리려면 API 버전이 31 이상 이어야 한다고 하는데요.

기본 델파이 12.1 버전을 설치하면 SDK 가 25.2.5 인데 API 버전이 31 이상인 SDK 를 따로 찾아서 설치해야 하는 건가요 ?

이 댓글 링크
다른 사이트에 공유하기

4 answers to this question

Recommended Posts

  • 0

엠바카데로 지원 팀의 답변을 공유드립니다.

Android SDK/NDK 인터페이스는 기술적으로 Target API를 포함 SDK와 NDK를 수정할 수 있으나 해당 작업을 지원하지 않으며 권장하지도 않습니다.

엠바카데로의 QA 팀에서 테스트하고 인증한 구성 값은 아래와 같습니다.

Android SDK 25.2.5 - NEDK r21

Eclipse Temurin OpenJDK 17 (Hotspot) JVM

(해당 구성 값은 Tools 메뉴 > Manage Features 에서 확인 가능합니다)

즉, 위의 구성으로 ARM CPU 및 NEON 그래픽을 지원하는 안드로이드 OS 10, 11, 12, 13 버전의 안드로이드 장치에서 지원됩니다.

지원 플랫폼 확인: http://docwiki.embarcadero.com/PlatformStatus/en/Main_Page 

 

플레이스토어에 배포할 수 있는 .aab를 생성하려면 아래와 같이 진행하면 됩니다.

타켓 플렛폼을 'Android 64-bit'으로 설정하고 Project > Options > Building > Delphi Compiler > Compiling 메뉴에서 'Generate Android 32-bit and 64bit binaries' 옵션을 선택합니다.

셋팅 옵션 중 타켓 콤보박스에서 'All configuration - Android 64-bit platform' 옵션을 선택할 것을 권장합니다.

그리고 'Android 64-bit Target' 플랫폼에서 'Application Store' 구성을 선택하고 Provisioning 페이지에 세부 정보를 입력해야 합니다.

.abb 파일 생성 방법은 아래의 문서를 통해 확인 가능합니다.

https://docwiki.embarcadero.com/RADStudio/Athens/en/Submitting_Your_Android_App_to_Google_Play#Android_App_Bundle_Support 

그 이후 .aab 파일을 실제로 생성하기 위해서 모든 구성값이 설정되면 응용 프로그램을 'run/debug'를 해주셔야 합니다.

이 댓글 링크
다른 사이트에 공유하기

이 토의에 참여하세요

지금 바로 의견을 남길 수 있습니다. 그리고 나서 가입해도 됩니다. 이미 회원이라면, 지금 로그인하고 본인 계정으로 의견을 남기세요.

Guest
이 질문에 답변하기...

×   서식있는 텍스트로 붙여넣기.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   이전에 작성한 콘텐츠가 복원되었습니다..   편집창 비우기

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...

중요한 정보

이용약관 개인정보보호정책 이용규칙 이 사이트가 더 잘 작동하기 위해 방문자의 컴퓨터에 쿠키가 배치됩니다. 쿠키 설정 변경에서 원하는 설정을 할 수 있습니다. 변경하지 않으면 쿠키를 허용하는 것으로 이해합니다.